> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Market History

> Returns the target price datapoint for a specific market window (aligned to the nearest boundary). Also available at `/api/v1/timeseries/market`.



## OpenAPI

````yaml GET /api/v1/history/market
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/history/market:
    get:
      tags:
        - History & Timeseries
      summary: Single market history datapoint
      description: >-
        Returns the target price datapoint for a specific market window (aligned
        to the nearest boundary). Also available at `/api/v1/timeseries/market`.
      operationId: getHistoryMarket
      parameters:
        - name: asset
          in: query
          required: true
          schema:
            type: string
            enum:
              - btc
              - eth
              - sol
              - xrp
              - hype
              - doge
              - bnb
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - 5min
              - 15min
              - 1hour
              - 4hour
              - daily
        - name: timestamp
          in: query
          required: true
          schema:
            type: integer
          description: >-
            Unix timestamp within the target window. Also accepts `marketStart`
            or `start`.
      responses:
        '200':
          description: Market datapoint
          content:
            application/json:
              example:
                now: '2025-04-07T12:00:00.000Z'
                asset: btc
                marketType: 5min
                provider: chainlink
                market:
                  timestamp_start: 1744027500
                  timestamp_end: 1744027800
                  start_iso: '2025-04-07T12:05:00.000Z'
                  end_iso: '2025-04-07T12:10:00.000Z'
                  slug: btc-updown-5m-1744027500
                  url: https://polymarket.com/event/btc-updown-5m-1744027500
                datapoint:
                  source: chainlink
                  price: 82450.75
        '400':
          description: Validation error

````